MAKEOBJ(6)

NAME
makeobj - compile data sets for Simutrans

SYNOPSIS
makeobj [ quiet ] capabilities

makeobj [ quiet ] pak [pak-file dat-file...]

makeobj [ quiet ] pak128 [pak-file dat-file...]

makeobj [ quiet ] list pak-file...

makeobj [ quiet ] dump pak-file pak-file...

makeobj [ quiet ] merge pak-file pak-file...

makeobj [ quiet ] extract pak-file

DESCRIPTION
This manual page documents briefly the makeobj command.

OPTIONS

capabilities
    Gives the list of objects, this program can read.

pak pak-file dat-file...
    Creates a ready to use pak file for Simutrans from the dat files. If the file names are omitted, makeobj defaults to all dat files under the current directory.

pak128 pak-file dat-file...
    Creates a special pak file for 128x128 images.

list pak-file...
    Lists the contents ot the given pak files.

dump pak-file pak-file...
    List the internal nodes of a file.

merge pak-file pak-file...
    Merges multiple pak files into one new pak file.

extract pak-file
    Creates single files from multiple pak file.

If the quiet option is given as the first argument the copyright message will be omitted. If a file name ends with a slash, a directory is searched rather than a file.

SEE ALSO
simutrans(6), http://www.simutrans.com/

AUTHOR
Simutrans was written by Hansjoerg Malthaner and the Simutrans Team.

This manual page was written by Ansgar Burchardt <ansgar@debian.org>, for the Debian project (but may be used by others).